dnl Copyright (c) 1991-2002 Kyoto University
dnl Copyright (c) 2000-2002 NAIST
dnl All rights reserved
dnl
dnl $Id: configure.in,v 1.5 2002/09/11 22:11:43 ri Exp $
dnl
AC_INIT(Sample.jconf)
AC_CONFIG_AUX_DIR(support)
AC_CONFIG_SUBDIRS(mkgshmm gramtools jcontrol julius libsent)

dnl all configure options are passed to libsent, julius

AC_CANONICAL_HOST

AC_MSG_CHECKING([default optimization flag])
if test -z "$CFLAGS" ; then
    OPTFLAG=support/cflags.${host_cpu}-${host_vendor}-${host_os}
    if test -f $OPTFLAG ; then
	. $OPTFLAG
	AC_MSG_RESULT([$OPTFLAG])
    else
	AC_MSG_RESULT([no])
    fi
else
    AC_MSG_RESULT([skipped])
fi

AC_PROG_CC
AC_PROG_CPP
AC_PROG_INSTALL
AC_PATH_PROG(RM, rm)

AC_OUTPUT(Makefile mkbingram/Makefile adinrec/Makefile adintool/Makefile mkss/Makefile)
